%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Python framework to participate in digital living networks
Name: python-Coherence
Version: 0.5.0
Release: 1%{?dist}
License: MIT
Group: Development/Languages
URL: https://coherence.beebits.net/
Source: https://coherence.beebits.net/download/Coherence-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-setuptools
# Are core and web enough?
Requires: python-twisted-core
Requires: python-twisted-web
Requires: SOAPpy
Requires: python-nevow
Requires: python-louie
Requires: python-configobj
BuildRequires: python-devel
# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
Buildarch: noarch
# Fist test packages had different names
Obsoletes: coherence < 0.2.1-2
Obsoletes: Coherence < 0.2.1-3

%description
Coherence is a framework written in Python enabling applications to participate
in digital living networks, such as the UPnP universe.


%prep
%setup -q -n Coherence-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENCE README docs/*
%{_bindir}/coherence
%{python_sitelib}/Coherence-*.egg-info/
%{python_sitelib}/coherence/


%changelog
* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 0.5.0-1
- Update to 0.5.0.

* Wed Aug 29 2007 Matthias Saou <http://freshrpms.net/> 0.4.0-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 0.4.0-1
- Update to 0.4.0.
- No need to update License field, MIT is already correct.

* Tue Jul 24 2007 Matthias Saou <http://freshrpms.net/> 0.3.0-1
- Update to 0.3.0.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-3
- Rename Coherence -> python-Coherence to match our python naming guidelines.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-2
- Rename coherence -> Coherence to match upstream and our naming guidelines.
- Obsolete coherence < 0.2.1-2 but don't provide it since elisa's requirement
  has been updated to match the name change and nothing else requires it.

* Fri Apr 20 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-1
- Update to 0.2.1.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.1.0-1
- Update to 0.1.0 release.

* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 0.0-1.r303
- Switch to using the go-4-python-2.5 svn branch.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0-0.1.r294
- Initial RPM release.

